EDIT - feature request #3095

protect taxa and nodes
09/11/2012 01:30 PM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 20%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

protect taxa and nodes based on the CdmAuthorities
¢ TAXONNODE.UPDATE
¢ TAXONNODE.CREATE
* TAXONNODE.UPDATE{uuid}

» TAXONNODE.CREATE{uuid}

Sub tasks:
1. give visual response on whether a user can edit a specific part of the classification tree or not #3096
2. disable all editors if a user has insufficient grants for a taxon or taxon node. #3097

3. provide appropriate message if a user is stopped from saving a Taxon or a TaxonNode if grants are nor sufficient, that is when
an Exception is thrown

Related issues:

Related to EDIT - feature request #3097: disable editors if a user has insuff... Worksforme
Related to EDIT - bug #9021: Feedback for missing rights on TaxonNode missing New
History

#1 - 09/11/2012 01:35 PM - Andreas Kohlbecker

- Status changed from New to In Progress

#2 - 04/16/2020 06:47 PM - Andreas Miiller
- Description updated

#3 - 04/16/2020 06:47 PM - Andreas Miiller

- Related to feature request #3097: disable editors if a user has insufficient grants for a taxon or taxon node. added

#4 - 04/17/2020 12:07 AM - Andreas Miiller
- Status changed from In Progress to Feedback
- Target version changed from 120 to Release 5.15

- % Done changed from 0 to 20

Please check what are the issues that are still open. Maybe split ticket afterwards into open and closed issues.

#5 - 04/17/2020 12:07 AM - Andreas Miiller

- Private changed from Yes to No
#6 - 04/17/2020 12:08 AM - Andreas Miiller

- Tags set to security, permission

#7 - 06/18/2020 02:05 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Katja Luther

#8 - 06/18/2020 04:05 PM - Katja Luther
- Status changed from Feedback to New

- Target version changed from Release 5.15 to Release 5.18

#9 - 06/18/2020 10:49 PM - Andreas Miiller
- Related to bug #9021: Feedback for missing rights on TaxonNode missing added

#10 - 12/04/2020 09:08 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#11 - 01/27/2021 04:15 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#12 - 03/10/2021 02:50 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#13 - 04/19/2021 05:41 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46
